---
title: '`glab opentofu`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Work with the OpenTofu or Terraform integration.

## Synopsis

Manage OpenTofu and Terraform state stored in the GitLab-managed
state backend.

Initialize a working directory against a GitLab-managed state, and
list, lock, unlock, download, or delete states.

## Aliases

```plaintext
terraform
tf
```

## Options

```plaintext
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`init`](init.md)
- [`state`](state/_index.md)
